Package org.talend.transform.runtime.api

# Interface ExecutionStatus

All Superinterfaces:
  `org.talend.transform.runtime.common.CommonExecutionStatus`, `org.talend.transform.runtime.common.MapExecutionStatus`, `org.talend.transform.runtime.common.StructConversionStatus`

public interface ExecutionStatus extends org.talend.transform.runtime.common.MapExecutionStatus, org.talend.transform.runtime.common.StructConversionStatus
Provides the status information about the execution of a map. This provides the details of any problems encountered in the execution of a map. This includes all validation reports. This is a collection of `StatusItem` objects which each provide the details of a particular error/warning. There is a corresponding structure found in `/Builtin/Structures/ExecutionStatus`. This execution status information is provided with each execution of a map and can be fed using the structure into another map for interpretation or further action.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`STATUS_ERROR`
Indicates an error that the map execution had problems that could affect the validity of the output.
`static final int`
`STATUS_FATAL`
Indicates a fatal error that the execution of the map was aborted due to severe problems, like the input document could not be read.
`static final int`
`STATUS_INFO`
Used to provide information, for example to indicate the name of the map being invoked.
`static final int`
`STATUS_OK`
Generally not used for `StatusItem`s, same semantics as STATUS_INFO
`static final int`
`STATUS_WARN`
Indicates a warning that the map execution is valid but relatively minor things went wrong.

## Method Summary

Modifier and Type
Method
Description
`org.talend.transform.runtime.common.StatusItem`
`addItem(int severity, int type)`
Adds a `StatusItem` to the ExecutionStatus
`org.talend.transform.runtime.common.StatusItem`
`addItem(int severity, int type, Throwable exception)`
Adds a `StatusItem` to the ExecutionStatus
`MapExecutionContext`
`getMapExecutionContext()`
Returns the `MapExecutionContext` object associated with the execution of this map.
`int`
`getOverallSeverity()`
FIXME overridden to make it visible from runtime api
`RuntimeEngine`
`getRuntime()`
Returns the `RuntimeEngine` associated with this execution status.
`Section`
`getSection()`
Returns the top-level section.
`boolean`
`isWarn()`
Returns true is the overall status is OK, that is contains only `StatusItem` objects with `STATUS_WARN`, `STATUS_OK`, or `STATUS_INFO`.

### Methods inherited from interface org.talend.transform.runtime.common.CommonExecutionStatus

`addItem, addItem, createStatusItem, exportToXml, getFirstNonInfo, getFirstNonInfoIndex, getHighestSeverityLevel, getItem, getNonInfoItems, getStatusItems, isOK`

## Field Details

### STATUS_OK

static final int STATUS_OK
Generally not used for `StatusItem`s, same semantics as STATUS_INFO

See Also:
  - Constant Field Values

### STATUS_INFO

static final int STATUS_INFO
Used to provide information, for example to indicate the name of the map being invoked.

See Also:
  - Constant Field Values

### STATUS_WARN

static final int STATUS_WARN
Indicates a warning that the map execution is valid but relatively minor things went wrong.

See Also:
  - Constant Field Values

### STATUS_ERROR

static final int STATUS_ERROR
Indicates an error that the map execution had problems that could affect the validity of the output. Map output is produced.

See Also:
  - Constant Field Values

### STATUS_FATAL

static final int STATUS_FATAL
Indicates a fatal error that the execution of the map was aborted due to severe problems, like the input document could not be read. There will be no map output.

See Also:
  - Constant Field Values

## Method Details

### isWarn

boolean isWarn()
Returns true is the overall status is OK, that is contains only `StatusItem` objects with `STATUS_WARN`, `STATUS_OK`, or `STATUS_INFO`.

### getRuntime

RuntimeEngine getRuntime()
Returns the `RuntimeEngine` associated with this execution status.

Returns:
  a `RuntimeEngine`

### getMapExecutionContext

MapExecutionContext getMapExecutionContext()
Returns the `MapExecutionContext` object associated with the execution of this map.

Returns:
  the `MapExecutionContext` object

### addItem

org.talend.transform.runtime.common.StatusItem addItem(int severity, int type, Throwable exception)
Adds a `StatusItem` to the ExecutionStatus

Parameters:
  `severity` -
  `type` -
  `exception` -
Returns:

### addItem

org.talend.transform.runtime.common.StatusItem addItem(int severity, int type)
Adds a `StatusItem` to the ExecutionStatus

Parameters:
  `severity` -
  `type` -
Returns:

### getSection

Section getSection()
Returns the top-level section.

### getOverallSeverity

int getOverallSeverity()
FIXME overridden to make it visible from runtime api

Specified by:
  `getOverallSeverity` in interface `org.talend.transform.runtime.common.CommonExecutionStatus`